Bug 458804 - should discard errors from dircolors
should discard errors from dircolors
Status: CLOSED DUPLICATE of bug 450508
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: coreutils (Show other bugs)
5.2
All Linux
low Severity low
: rc
: ---
Assigned To: Ondrej Vasik
http://thread.gmane.org/gmane.comp.gn...
:
Depends On: 430823
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-12 08:38 EDT by Ondrej Vasik
Modified: 2008-08-12 11:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-12 11:00:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondrej Vasik 2008-08-12 08:38:32 EDT
+++ This bug was initially created as a clone of Bug #430823 +++

/etc/profile.d/colorls.sh tries to run eval `dircolors --sh "$COLORS"`.  This
can generate errors if the configuration file (e.g. ~/.dircolors) is designed
for a newer version of ls.

For instance, dircolors recently introduced SETUID, SETGID,
STICKY_OTHER_WRITABLE, OTHER_WRITABLE, and STICKY options.  I want to set a
color for them in my ~/.dircolors, but I also want to share my ~/.dircolors on
older Red Hat and Fedora systems.

If I do so, I get these errors when logging in to a RHEL 4system

dircolors: `/home/mward/.dircolors':37: unrecognized keyword STICKY_OTHER_WRITABLE
dircolors: `/home/mward/.dircolors':38: unrecognized keyword OTHER_WRITABLE
dircolors: `/home/mward/.dircolors':39: unrecognized keyword STICKY

I doubt you're going to fix this in RHEL 4, but at least going forwards, please
add 2>/dev/null to that line in colorls.sh to avoid such warnings.

(I also notice that you're sourcing ~/.dir_colors after ~/.dircolors.$TERM,
which seems wrong.)

--- Additional comment from mikel@mikelward.com on 2008-01-29 18:15:52 EDT ---

See the URL for the brief discussion on the coreutils mailing list.

--- Additional comment from ovasik@redhat.com on 2008-01-30 06:24:30 EDT ---

Thanks for report... I'm on that mailing list so I already read this item there
;). I think is more probable to have it fixed in RHEL4 than in FC-5 - as FC-5 is
EOL. So I will change the product to RHEL-4 and it will get fixed in next
maintainance release of RHEL-4 coreutils (as I agree that the error output
should be redirected to dev/null). 
Anyway - colorls.sh and colorls.csh have to be rewritten, because they use
DIR_COLORS.xterm even on the gnome-terminal with dark background and because of
256 color support, so I will fix your objections there too.

--- Additional comment from ovasik@redhat.com on 2008-01-31 11:59:53 EDT ---

Fixed and built as coreutils-6.10-4.fc9 in RAWHIDE branch of Fedora.

Same as RHEL-4, I guess it could cause troubles when using future RHEL-6 dircolors on RHEL-5, therefore it would be better to fix it.
Comment 1 RHEL Product and Program Management 2008-08-12 08:52:47 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Ondrej Vasik 2008-08-12 11:00:06 EDT
Closing DUPLICATE of #450508, this one was already cloned and ACKed for 5.3 in the first run-through RHEL-4 bugs ... missed that fact in the second run-through today... I guess I need glasses...

*** This bug has been marked as a duplicate of bug 450508 ***

Note You need to log in before you can comment on or make changes to this bug.